org.apache.storm.validation

## Class ConfigValidation.MapEntryCustomValidator

- java.lang.Object
- - org.apache.storm.validation.ConfigValidation.Validator
  - - org.apache.storm.validation.ConfigValidation.MapEntryCustomValidator

- Enclosing class:
    ConfigValidation

      public static class ConfigValidation.MapEntryCustomValidator
      extends ConfigValidation.Validator

  validates each key and each value against the respective arrays of validators.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEntryCustomValidator(Map<String,Object> params)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validateField(String name, Class<?>[] keyValidators, Class<?>[] valueValidators, Object o)`
    `void` | `validateField(String name, Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEntryCustomValidator

          public MapEntryCustomValidator(Map<String,Object> params)

  - ### Method Detail

    - #### validateField

          public static void validateField(String name,
                                           Class<?>[] keyValidators,
                                           Class<?>[] valueValidators,
                                           Object o)
                                    throws IllegalAccessException,
                                           InstantiationException,
                                           NoSuchMethodException,
                                           InvocationTargetException

      Throws:
        `IllegalAccessException`
        `InstantiationException`
        `NoSuchMethodException`
        `InvocationTargetException`

    - #### validateField

          public void validateField(String name,
                                    Object o)

      Specified by:
        `validateField` in class `ConfigValidation.Validator`

Copyright © 2021 The Apache Software Foundation. All rights reserved.